export = LunarAPI;
/**
* LunarAPI - The official JavaScript wrapper for Lunar API
* @class Client
*/
declare class LunarAPI {
    /**
     * @constructor
     * @param {string} token - Your Lunar API Token.
     */
    constructor(token: string);
    /**
     * The base URL.
     * @type {string}
     */
    baseURL: string;
    /**
     * The wrapper version.
     * @type {string}
     */
    version: string;
    /**
     * The SFW module.
     * @type {SFW}
     */
    sfw: SFW;
    /**
     * The NSFW module.
     * @type {NSFW}
     */
    nsfw: NSFW;
}
import SFW = require("./lib/sfw");
import NSFW = require("./lib/nsfw");
